{% extends "bootstrap/base.html" %} {% block title %}{{title}}{% endblock %} {% block styles %}{{super()}}
<link rel="stylesheet" href="{{ url_for('static', filename='home.css') }}">{% endblock %}

<body>{% include "navbar.html" %}{% block content %}
<div class="row">
            {% for m in page.items %}
            <a class="no-decoration col-xs-12 col-sm-6 col-md-4 col-lg-3" href="{{ url_for('descrAlbum', id=m.id) }}">
                <div class="card">
                    <img class="card-img-top" src="../static/{{m.img}}" alt="Card image cap">
                    <div class="card-body">
                        <h5 class="card-title text-dark">{{ m.nom }}</h5>
                        <h6 class="card-subtitle mb-2 text-muted">{{ m.year }} {% for g in m.genres %}- {{ g.nom }} {% endfor %}</h6>
                        <p class="card-text text-dark">{{ m.artiste.nom }}</p>
                    </div>
                </div>
            </a>
            {% endfor %} 
        </div>
        <div class="col-sm-9">
       
    <div class="col-sm-9">
        <nav aria-label="Page navigation">
            <ul class="pagination justify-content-end">
                <li class="page-item {% if not page.has_prev %}disabled{% endif %}">
                    <a class="page-link" href="{{ url_for('allAlbum', page=page.page-1) }}" tabindex="-1">Previous</a>
                </li>
                <li class="page-item"><a class="page-link {% if page.page == 1 %}bg-primary{% endif %}" href="{{ url_for('allAlbum', page=1) }}">1</a></li>

                {% if page.page > 2 %}
                <li class="page-item"><a class="page-link" href="#">...</a></li>
                {% endif %}

                {% for n in range(page.page-2, page.page+3) %}
                {% if n > 1 and n < page.pages %}
                <li class="page-item"><a class="page-link {% if page.page == n %}bg-primary{% endif %}" href="{{ url_for('allAlbum', page=n) }}">{{ n }}</a></li>
                {% endif %}
                {% endfor %}

                {% if page.page < 7 %}
                <li class="page-item"><a class="page-link" href="#">...</a></li>
                {% endif %}

                <li class="page-item"><a class="page-link {% if page.page == page.pages %}bg-primary{% endif %}" href="{{ url_for('allAlbum', page=page.pages) }}">{{ page.pages }}</a></li>
                <li class="page-item {% if not page.has_next %}disabled{% endif %}">
                {% if page.has_next %}
                    <a class="page-link" href="{{ url_for('allAlbum', page=page.next_num) }}">Next</a>
                    {% endif %}
                </li>

            </ul>
        </nav>
</body>

</html>
{% endblock %}
